Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1199772 - [abrt] ibus-libpinyin: pinyin_mask_out(): ibus-engine-libpinyin killed by SIGSEGV [NEEDINFO]
[abrt] ibus-libpinyin: pinyin_mask_out(): ibus-engine-libpinyin killed by SIG...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2e3b5a19c59e9d52e75fef23685...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-08 03:23 EDT by 江南浪子
Modified: 2015-12-02 12:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 04:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psatpute: needinfo? (walnut_tom)


Attachments (Terms of Use)
File: backtrace (27.73 KB, text/plain)
2015-03-08 03:23 EDT, 江南浪子
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-08 03:23 EDT, 江南浪子
no flags Details
File: core_backtrace (8.93 KB, text/plain)
2015-03-08 03:23 EDT, 江南浪子
no flags Details
File: dso_list (7.49 KB, text/plain)
2015-03-08 03:23 EDT, 江南浪子
no flags Details
File: environ (3.70 KB, text/plain)
2015-03-08 03:23 EDT, 江南浪子
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-08 03:24 EDT, 江南浪子
no flags Details
File: maps (35.29 KB, text/plain)
2015-03-08 03:24 EDT, 江南浪子
no flags Details
File: open_fds (673 bytes, text/plain)
2015-03-08 03:24 EDT, 江南浪子
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2015-03-08 03:24 EDT, 江南浪子
no flags Details
File: var_log_messages (29 bytes, text/plain)
2015-03-08 03:24 EDT, 江南浪子
no flags Details
File: exploitable (73 bytes, application/octet-stream)
2015-03-08 03:24 EDT, 江南浪子
no flags Details

  None (edit)
Description 江南浪子 2015-03-08 03:23:50 EDT
Version-Release number of selected component:
ibus-libpinyin-1.6.99.20150203-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_mask_out
executable:     /usr/libexec/ibus-engine-libpinyin
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 pinyin_mask_out at pinyin.cpp:793
 #1 PY::LibPinyinBackEnd::clearPinyinUserData at PYLibPinyin.cc:293
 #2 PY::PinyinConfig::valueChanged at PYPConfig.cc:435
 #3 PY::Config::valueChangedCallback at PYConfig.cc:141
 #8 ibus_config_g_signal at ibusconfig.c:142
 #9 emit_signal_instance_in_idle_cb at /lib64/libgio-2.0.so.0
 #11 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #13 ibus_main at ibusshare.c:302
 #14 start_component at PYMain.cc:141
Comment 1 江南浪子 2015-03-08 03:23:53 EDT
Created attachment 999265 [details]
File: backtrace
Comment 2 江南浪子 2015-03-08 03:23:55 EDT
Created attachment 999266 [details]
File: cgroup
Comment 3 江南浪子 2015-03-08 03:23:56 EDT
Created attachment 999267 [details]
File: core_backtrace
Comment 4 江南浪子 2015-03-08 03:23:57 EDT
Created attachment 999268 [details]
File: dso_list
Comment 5 江南浪子 2015-03-08 03:23:58 EDT
Created attachment 999269 [details]
File: environ
Comment 6 江南浪子 2015-03-08 03:24:00 EDT
Created attachment 999270 [details]
File: limits
Comment 7 江南浪子 2015-03-08 03:24:04 EDT
Created attachment 999271 [details]
File: maps
Comment 8 江南浪子 2015-03-08 03:24:06 EDT
Created attachment 999272 [details]
File: open_fds
Comment 9 江南浪子 2015-03-08 03:24:07 EDT
Created attachment 999273 [details]
File: proc_pid_status
Comment 10 江南浪子 2015-03-08 03:24:09 EDT
Created attachment 999274 [details]
File: var_log_messages
Comment 11 江南浪子 2015-03-08 03:24:10 EDT
Created attachment 999275 [details]
File: exploitable
Comment 12 Fedora End Of Life 2015-11-04 08:16:18 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Pravin Satpute 2015-11-25 08:42:04 EST
Is this bug still exist in F23? Is not please close else move to F23. 
We don't want to loose any valuable bug :)

If this is non-reproducible lets close this.
Comment 14 Fedora End Of Life 2015-12-02 04:53:24 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.